1. Crypto Checkout
v1.0 (Deprecated)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
      • Get Settlement Statement
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Create Fiat Account Application
        • Get Fiat Account Application Status
        • Fiat Account Application Status Webhook
        • Add Bank Account
        • Get Bank Accounts
      • Fiat Withdrawal
        • Get List of Currencies that Supports Same-Name Withdrawal
        • Create Fiat Withdrawal
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout
        • Create Crypto Checkout
          POST
        • Create Crypto Checkout Link
          POST
        • Crypto Checkout Wallet Connection
          POST
        • Generate POS Payment Request
          POST
        • Close Crypto Checkout
          POST
        • Get Convertible Cryptos
          GET
        • Get Supported Blockchains
          GET
        • Get Crypto Checkout
          GET
        • Get Crypto Checkout Link
          GET
        • Get Crypto Checkout Currencies
          GET
        • Crypto Checkout Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • [Deprecated] Upload File
  1. Crypto Checkout

Get Crypto Checkout Link

GET
/v1.0/payment/crypto/getCryptoCheckoutLink
API Overview
ItemValue
API StatusStable
Current Versionv1.0
Backward CompatibilityNo
Applicable EnvironmentProduction

Description
Retrieve details of a specific payment request.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1.0/payment/crypto/getCryptoCheckoutLink?cryptoCheckoutLinkId&clientReference'

Responses

🟢200Success
application/json
Body

Example
{
    "code": "string",
    "msg": "string",
    "data": {
        "cryptoCheckoutLinkId": "string",
        "cryptoCheckoutId": "string",
        "clientReference": "string",
        "defaultLanguage": 1,
        "logo": "string",
        "redirectUrl": "string",
        "customerSupportEmail": "string",
        "checkoutUrl": "string"
    }
}
Modified at 2026-04-02 07:32:36
Previous
Get Crypto Checkout
Next
Get Crypto Checkout Currencies
Built with